# %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
# %{!?python_sitelib: %define python_sitesearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
#
# define _unpackaged_files_terminate_build 0 
# define _missing_doc_files_terminate_build 0 
#
%define name wordforge
%define version 0.8
%define unmangled_version 0.8.0
%define release %mkrel 0.beta1.1

Name:           %{name}
Version:        %{version}
Release:        %{release}

Source0:        %{name}-%{unmangled_version}.tar.gz
Source1:        wordforge.desktop
Source2:        wordforge.png

License:        LGPLv3
URL:            https://sourceforge.net/projects/wordforge2
Summary:        WordForge Translation Tool
Group:          Development/Tools

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils

Requires:       PyQt4 >= 4.3
Requires:       python-lxml
Requires:       gettext
Requires:       python-enchant
Requires:       hunspell >= 1.2.6-1
Requires:       python-Levenshtein
Requires:       libstdc++ >= 4.1.1

%description
An intelligent WordForge offline localization program working internally with
XLIFF and support for other formats: PO, TBX, TMX.
It is a platform independent tool under GNU LGPL-3.
Highlighted features: Project Manager, Translation Memory Manager, Glossary
Manager...


# post
# update-desktop-database &> /dev/null || :
#
# postun
# update-desktop-database &> /dev/null || :

%prep
%setup -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --install-data=/usr --root %{buildroot}

mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
cp -a %{SOURCE1} %{buildroot}%{_datadir}/applications
cp -a %{SOURCE2} %{buildroot}%{_datadir}/pixmaps

desktop-file-install                             \
   --delete-original                                     \
   --dir=%{buildroot}%{_datadir}/applications            \
   %{buildroot}%{_datadir}/applications/wordforge.desktop

mv %{buildroot}%{_bindir}/wordforge.py %{buildroot}%{_bindir}/wordforge
rm %{buildroot}%{_exec_prefix}/lib*/python*/site-packages/WordForge/myThes/*.*xx
rm %{buildroot}%{_exec_prefix}/lib*/python*/site-packages/WordForge/myThes/COPYING
rm %{buildroot}%{_exec_prefix}/lib*/python*/site-packages/WordForge/myThes/*.i

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/wordforge.png
%{_bindir}/*
%{_libdir}/*

%changelog
* Sat Jan 01 2011 Oliver Burger <rpm@mandrivauser.de> 0.8-0.beta1.1mud2010.2
- initial package for Mandriva Linux 2010.2
- based upon fedora spec file by
  - Gonçalo Cordeiro <gzcordeiro@gmail.com>
  - keosophone <keosophone@khmeros.info>
  - Tim Chan Rithy <12rithy@gmail.com>
